﻿/*#region #calendar*/
.calendar {
    width: calc(100%);

    .calendar-top {
        border: 1px solid #e5e5e7;
        border-bottom: 0;
        border-radius: 3px 3px 0 0;
        padding: 10px;
        background-color: var(--white);

        .btn-today,
        .btn-booking {
            width: 12%;
            color: var(--white);
            padding: 5px;
            height: 30px;
            margin-top: 3px;

            i {
                font-size: 12px;
            }
        }

        .btn-booking {
            i {
                &:before {
                    margin-right: -5px;
                }
            }
        }

        .control-daytime {
            width: 76%;

            .form-group {
                margin: 0;

                .clear-datebutton {
                    display: none;

                    i {
                        position: absolute;
                        top: -25px;
                        right: - 35px;
                    }
                }
            }

            .control-button {
                a {
                    color: var(--black);
                    padding: 0 5px;

                    i {
                        padding: 9px;
                        width: 35px;
                        height: 35px;
                        border-radius: 50%;
                        background-color: #f3f1f6;
                        font-size: 16px;
                    }

                    &:first-child {
                    }
                }
            }
        }
    }

    .calendar-body {
        color: var(--gray);

        .calendar-day {
            div {
                width: calc((100% - 43px)/7);
                text-align: center;
                border: 1px solid #e5e5e7;
                border-right: 0;
                padding: 5px;

                h1 {
                    display: inline-block;
                    vertical-align: middle;
                    margin: 0;
                }

                .date {
                    display: inline-block;
                    margin: 0 0 0 10px;
                    vertical-align: middle;
                    font-weight: 500;
                }
            }

            #day-empty {
                width: 43px;
            }
        }

        .calendar-time {
            height: calc(100vh - 225px);
            overflow-y: scroll;

            .time-col {
                width: calc((100% - 43px)/7);
                position: relative;

                .time-of-day-box {
                    height: 48px; // 24px(height) for 30 minutes
                    border: 1px solid #e5e5e7;
                    border-top: 0;
                    border-right: 0;
                }

                .sticky-bk-view {
                    position: absolute;
                    background: var(--success);
                    color: var(--white);
                    width: 100%;
                    padding: 3px;
                    overflow: hidden;
                    line-height: 15px;
                    border: 1px solid var(--white);

                    &.bgroup {
                        background: var(--indigo);
                    }

                    &.birthday {
                        background: var(--pink);
                    }

                    p {
                        margin-bottom: 5px;
                    }

                    .time {
                        .start-time {
                            padding-right: 5px;

                            &:after {
                                content: "-";
                                padding-left: 5px;
                            }
                        }
                    }
                }

                .sticky-bk-group {
                    position: absolute;
                    background: var(--info);
                    color: var(--white);
                    width: 100%;
                    padding: 3px;
                    overflow: hidden;
                    line-height: 15px;
                    border: 1px solid var(--white);
                }
            }

            .time-list {
                width: 43px;

                .time-box {
                    height: 96px; // 40px + 40px = 80px(height) for 30 minutes
                    border-left: 1px solid #e5e5e7;
                    font-weight: 500;

                    &:last-child {
                        border-bottom: 1px solid #e5e5e7;
                    }

                    .time-value {
                    }
                }
            }
        }
    }
}

.au-popup {
    position: fixed;
    z-index: 99;
    width: 100%;
    height: 100%;
    background: var(--white);
    display: none;

    .clear-datebutton {
        display: none;
    }

    .p-head {
        text-align: center;
        position: relative;
        padding: 10px 0;
        height: 49px;
        border-bottom: 1px solid #ddd;

        h3 {
            margin: 0;
        }

        a {
            position: absolute;
            font-size: 32px;
            right: 5px;
            top: 0;
            line-height: 49px;
        }
    }

    .p-body {
        height: calc(100% - 50px);

        .servicecol {
            height: 100%;
            overflow-y: auto;
            width: 65%;
            padding: 30px;
            border-right: 1px solid #ddd;


            .bookinginfo {
                .fgroup {
                    width: 50%;
                    padding: 0 10px;
                }

                .fgroup-f {
                    width: 100%;
                    padding: 0 10px;
                }
            }

            .sv-lst {
                .service-item {
                    padding: 20px 10px;
                    -webkit-box-shadow: 0 2px 5px 0 rgba(0, 0, 0, .16), 0 2px 10px 0 rgba(0, 0, 0, .12);
                    box-shadow: 0 2px 5px 0 rgba(0, 0, 0, .16), 0 2px 10px 0 rgba(0, 0, 0, .12);
                    margin-top: 30px;
                    position: relative;

                    .rem {
                        position: absolute;
                        right: 5px;
                        top: 5px;
                        font-size: 18px;
                        color: var(--danger)
                    }

                    &:first-child {
                        margin-top: 0;
                    }

                    .fgroup {
                        width: 50%;
                        padding: 0 10px;
                    }

                    .fgroup-f {
                        width: 100%;
                        padding: 0 10px;
                    }
                }

                .add-moresv {
                    background-color: var(--secondary);
                    color: var(--dark);
                    padding: 15px;
                    text-align: center;
                    font-weight: bold;
                    text-transform: uppercase;
                }
            }
        }

        .cus-info {
            width: 35%;
            height: 100%;
            position: relative;

            .searchbox {
                height: calc(100% - 83px);

                .search-c {
                    padding: 20px;
                    background: var(--light);
                    border-bottom: 1px solid #ddd;
                    height: 83px;
                }

                .addcusstomer {
                    background-color: var(--secondary);
                    color: var(--dark);
                    padding: 15px;
                    text-align: center;
                    font-weight: bold;
                    text-transform: uppercase;
                    height: 51px;
                }

                .searchresult {
                    height: calc(100% - 134px);
                    overflow-y: auto;

                    .search-item {
                        display: flex;
                        align-items: center;
                        padding: 15px;
                        border-top: 1px solid #ddd;
                        width: 100%;

                        &:first-child {
                            border-top: none;
                        }

                        .ava {
                            height: 64px;
                            width: 64px;
                            border-radius: 50%;
                            background: var(--light);
                            color: var(--dark);
                            text-transform: uppercase;
                            text-align: center;
                            line-height: 64px;
                            font-weight: 500;
                            margin-right: 10px;
                            font-size: 22px;
                        }

                        .info {
                            width: calc(100% - 75px);

                            span {
                                display: block;
                            }

                            .name {
                                font-weight: 500;
                            }
                        }
                    }
                }
            }

            .has-cus {
                display: flex;
                align-items: center;
                padding: 15px;
                border-bottom: 1px solid #ddd;
                width: 100%;

                .ava {
                    height: 64px;
                    width: 64px;
                    border-radius: 50%;
                    background: var(--light);
                    color: var(--dark);
                    text-transform: uppercase;
                    text-align: center;
                    line-height: 64px;
                    font-weight: 500;
                    margin-right: 10px;
                    font-size: 22px;
                }

                .info {
                    width: calc(100% - 111px);

                    span {
                        display: block;
                    }

                    .name {
                        font-weight: 500;
                    }
                }
            }

            .btn-pop {
                position: absolute;
                padding: 20px;
                text-align: center;
                bottom: 0;
                right: 0;
                left: 0;
                border-top: 1px solid #ddd;
                height: 83px;

                button {
                    text-transform: uppercase;
                    font-weight: 500;
                }
            }
        }
    }
}

.au-cuspop {
    position: fixed;
    width: 100%;
    height: 100%;
    background: var(--white);
    display: none;

    .p-head {
        text-align: center;
        position: relative;
        padding: 10px 0;
        height: 49px;
        border-bottom: 1px solid #ddd;

        h3 {
            margin: 0;
        }

        a {
            position: absolute;
            font-size: 32px;
            right: 5px;
            top: 0;
            line-height: 49px;
        }
    }

    .p-body {
        height: calc(100% - 132px);
        overflow-y: auto;

        .info-form {
            width: 560px;
            margin: 30px auto;
            padding: 30px 15px;
            -webkit-box-shadow: 0 2px 5px 0 rgba(0, 0, 0, .16), 0 2px 10px 0 rgba(0, 0, 0, .12);
            box-shadow: 0 2px 5px 0 rgba(0, 0, 0, .16), 0 2px 10px 0 rgba(0, 0, 0, .12);

            .i-2 {
                width: 50%;
                padding: 0 15px;
            }

            .i-3 {
                width: 33.33%;
                padding: 0 15px;
            }
        }
    }

    .p-foot {
        padding: 20px;
        text-align: center;
        width: 100%;
        position: absolute;
        bottom: 0;
        border-top: 1px solid #ddd;

        button {
            margin-left: 10px;


            &first-child {
                margin-left: 0;
            }
        }
    }
}

.select-appointment-pop {
    position: fixed;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,.7);
    z-index: 10;
    display: none;

    .closebtn {
        font-size: 50px;
        line-height: 50px;
        position: absolute;
        top: 5px;
        right: 5px;
        color: var(--white);
    }

    .box {
        position: absolute;
        width: 100%;
        padding: 0 40px;
        top: 50%;
        left: 0;
        transform: translateY(-50%);
        overflow-x: auto;
        white-space: nowrap;

        .item {
            display: inline-block;
            background: var(--success);
            color: var(--white);
            overflow: hidden;
            line-height: 22px;
            border: 1px solid var(--white);
            padding: 20px;
            margin-left: 20px;

            &:first-child {
                margin-left: 0;
            }
        }
    }
}
/*#endregion*/
@media screen and (min-width: 1920px) {
    /*#region #sad*/
    /*#endregion*/
}

@media screen and (min-width: 1200px) {
    /*#region #sad*/
    /*#endregion*/
}

@media screen and (max-width: 1280px) {
}

@media screen and (max-width: 1366px) {
    /*#region #sad*/
}

@media screen and (max-width: 1024px) {
    /*#region #sad*/


    /*#endregion*/
}

@media screen and (max-width: 980px) {
}

@media screen and (max-width: 768px) {
    /*#region #sad*/
    /*#endregion*/
}

@media screen and (max-width: 650px) {
}

@media screen and (max-width: 450px) {
    /*#region #sad*/
    /*#endregion*/
}

@media screen and (max-width: 375px) {
}

@media screen and (max-width: 360px) {
}

@media screen and (max-width: 320px) {
    /*#region #sad*/
    /*#endregion*/
}

/*------------------------------------*\
  STYLE FIX ALL BROWSER
\*------------------------------------*/

/*#region firefox*/
@-moz-document url-prefix() {
    /*Code is here*/
}
/*#endregion*/

/*#region ie*/
@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
    /*Code is here*/
}
/*#endregion*/
